View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
17283Bug reportsQuestion editorpublic2021-07-12 11:53
Reporterst4nny86 Assigned Toc_schmitz  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.25.20 
Summary17283: repeat_headings not accept zero value
DescriptionIs not possibile to set 0 value for "repeat_headings" field becouse there is a html5 validation that set to one the min value.
TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)3.26.2+210503 (last)
I will donate to the project if issue is resolvedNo
Browser
Database type & versionlast
Server OS (if known)
Webserver software & version (if known)
PHP Version7.3.20

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2021-05-04 08:58

developer   ~64219

And 0 disable the repeat :)
ollehar

ollehar

2021-05-04 18:15

administrator   ~64235

Is empty value the same as 0?
DenisChenu

DenisChenu

2021-05-04 18:21

developer   ~64236

empty value => default (25)
https://github.com/LimeSurvey/LimeSurvey/blob/b43418320d384cd1b37799ac051994a4c2e99eff/application/config/config-defaults.php#L67

Then : no .
DenisChenu

DenisChenu

2021-05-04 18:23

developer   ~64237

See 3.X https://github.com/LimeSurvey/LimeSurvey/blob/0bb9202e0ce1e99de9d009bc87bc626e7ee19960/application/helpers/questionHelper.php#L90
help : «Repeat answer options every X subquestions (Set to 0 to deactivate answer options repeat, deactivate minimum answer options repeat from config).»
ollehar

ollehar

2021-05-04 18:23

administrator   ~64238

Thanks, Denis.
c_schmitz

c_schmitz

2021-05-07 16:44

administrator   ~64289

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31688
c_schmitz

c_schmitz

2021-05-07 16:46

administrator   ~64290

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31689
c_schmitz

c_schmitz

2021-07-12 11:53

administrator   ~65316

Release done.

Related Changesets

LimeSurvey: 3.x-LTS b18aafc2

2021-05-07 16:44:17

c_schmitz

Details Diff
Fixed issue 17283: "Repeat answer options" option does not accept value 0 Affected Issues
17283
mod - application/helpers/questionHelper.php Diff File

LimeSurvey: master 660576f5

2021-05-07 16:45:55

c_schmitz

Details Diff
Fixed issue 17283: "Repeat answer options" option does not accept value 0 Affected Issues
17283
mod - application/helpers/questionHelper.php Diff File
mod - application/views/survey/questions/answer/arrays/dualscale/config.xml Diff File
mod - application/views/survey/questions/answer/arrays/multiflexi/config.xml Diff File
mod - application/views/survey/questions/answer/arrays/texts/config.xml Diff File

Issue History

Date Modified Username Field Change
2021-05-04 01:29 st4nny86 New Issue
2021-05-04 08:58 DenisChenu Note Added: 64219
2021-05-04 15:13 ollehar Product Version => 3.25.20
2021-05-04 18:15 ollehar Note Added: 64235
2021-05-04 18:15 ollehar Assigned To => ollehar
2021-05-04 18:15 ollehar Status new => feedback
2021-05-04 18:21 DenisChenu Note Added: 64236
2021-05-04 18:23 DenisChenu Note Added: 64237
2021-05-04 18:23 ollehar Note Added: 64238
2021-05-04 18:23 ollehar Status feedback => new
2021-05-07 16:43 c_schmitz Assigned To ollehar => c_schmitz
2021-05-07 16:44 c_schmitz Changeset attached => LimeSurvey 3.x-LTS b18aafc2
2021-05-07 16:44 c_schmitz Note Added: 64289
2021-05-07 16:44 c_schmitz Resolution open => fixed
2021-05-07 16:46 c_schmitz Changeset attached => LimeSurvey master 660576f5
2021-05-07 16:46 c_schmitz Note Added: 64290
2021-05-07 16:46 c_schmitz Status new => resolved
2021-07-12 11:53 c_schmitz Note Added: 65316
2021-07-12 11:53 c_schmitz Status resolved => closed